# typedef TVar

#### package haxe.macro

#### import haxe.macro.Type

Available on Neko

Represents a variable in the typed AST.

### Properties

###

`read onlycapture:Bool`

Whether or not the variable has been captured by a closure.

###

`read onlyextra:Null<{params:Array<TypeParameter>, expr:Null<TypedExpr>}>`

Special information which is internally used to keep track of closure. information

###

`read onlyid:Int`

The unique ID of the variable.

###

`read onlymeta:Null<MetaAccess>`

The metadata of the variable.

###

`read onlyname:String`

The name of the variable.

###

`read onlyt:Type`

The type of the variable.